%define wnn	wnn6
%ifos darwin
%define __defattr	%defattr(-,root,wheel)
%else
%define __defattr	%defattr(-,root,root)
%endif

Summary: The XEmacs editor
Name: xemacs-canna-%{wnn}
%define libver 21.4.3
Version: 21.4.3
Release: 1b
Copyright: GPL
Group: Applications/Editors/Emacs
#Packager: Kaoru Fukui  <k_fukui@highway.ne.jp>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

%ifnos darwin
Requires    : glibc >= 2.0.108
%endif

Source0: xemacs-%{version}.tar.gz
Source1: xemacs-%{version}-elc.tar.gz
Source2: xemacs-%{version}-info.tar.gz
Patch0:  xemacs-%{version}-darwin.patch
Patch1:  xemacs-%{version}-wnn6.patch

Url:http://www.xemacs.org/
BuildRoot: %{_tmppath}/xemacs-root
Requires: xemacs-sumo 
Requires: xemacs-mule-sumo 

%description
XEmacs is a version of Emacs, compatible with and contain-
ing many improvements over GNU Emacs, written  by  Richard
Stallman  of  the Free Software Foundation.  It was origi-
nally based on an early release of GNU Emacs  Version  19,
and  has  tracked subsequent releases of GNU Emacs as they
have become available.

%package info 
Summary: info files for XEmacs
Group: Applications/Editors/Emacs
Requires: %{name}

%description info
This package contains info files for XEmacs.

%package el
Summary: The source files of the standard elisp modules for XEmacs
Group: Applications/Editors/Emacs
Requires: %{name}

%description el
This package contains the source files of the standard elisp
modules for XEmacs.  The package is not necessary to run Xemacs.


%prep
%setup -n xemacs-%{version} -q -b 1 -b 2
%ifos darwin
%patch0 -p0 -b .darwin
%endif
%patch1 -p1 -b .wnn6

%build
./configure \
	--cflags="$RPM_OPT_FLAGS -fno-caller-saves" \
	--prefix=%{_usr} \
	--error-checking=none --debug=no \
	--with-mule --with-%{wnn} --with-canna
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_usr} install-arch-dep 
make prefix=$RPM_BUILD_ROOT%{_usr} install-arch-indep 
make prefix=$RPM_BUILD_ROOT%{_usr} gzip-el

gzip -n -9f $RPM_BUILD_ROOT%{_usr}/lib/xemacs-%{libver}/info/*.inf*

# Build file listings. (and make movemail setgid mail on RHL)

DIR="$RPM_BUILD_ROOT%{_usr}/lib/xemacs-%{libver}"
EL="*.el.gz"

find $DIR -type d |
  sed -e "s#^$RPM_BUILD_ROOT#%dir #" > rpm-files.in

find $DIR -name $EL -type f |
  sed -e "s#^$RPM_BUILD_ROOT##" > rpm-el-files

%ifnos darwin
find $DIR -not -name $EL -type f |
%else
find $DIR ! -name $EL -type f |
%endif
  sed -e "
    s#^$RPM_BUILD_ROOT\(.*movemail\)#%attr(2755, root, mail) \1#
    s#^$RPM_BUILD_ROOT##
  " >> rpm-files.in

cat rpm-files.in | grep -v "%{_usr}/lib/xemacs-%{libver}/info" > rpm-files
cat rpm-files.in | grep "%{_usr}/lib/xemacs-%{libver}/info" > rpm-info-files

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files -f rpm-files
%{__defattr}
%doc BUGS README COPYING GETTING.GNU.SOFTWARE PROBLEMS 
%{_usr}/bin/*
%{_usr}/man/*/*
%{_usr}/lib/xemacs

%files -f rpm-el-files el
%{__defattr}

%files -f rpm-info-files info
%{__defattr}


%changelog
* Thu Oct 11 2001  Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 21.4.3-1b
- 1st build on MacOS X Release 10.1

* Sat Jun 02 2001  Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 21.4.3-1a
- 1st build on MacOS X Release 10.0.X
